| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# IG::Lib::ShellApplication< InterpreterType > Class Template Reference

Class encapsulating a command-line shell. Used as embedded shell application that can be installed on command-line interpreters and runnable scripts. More...

Inheritance diagram for IG::Lib::ShellApplication< InterpreterType >:
[legend]
Collaboration diagram for IG::Lib::ShellApplication< InterpreterType >:
[legend]

List of all members.

## Public Member Functions
| ShellApplication ()
void | Main (string[] args)
| Entry point of the application.
override void | AddDefaultAssemblies ()
| Adds assemblies to be automatically referenced by loaded scripts.
override void | AplicationMain (string[] args)
| Default main method for the current shell application.
override void | TestMain (string[] args)
| Runs the shell interpreter.
## Protected Member Functions
override CommandLineApplicationInterpreter | CreateInterpreter ()
| Creates and returns application's command-line interpreter.

## Detailed Description

### template<InterpreterType>
class IG::Lib::ShellApplication< InterpreterType >

Class encapsulating a command-line shell. Used as embedded shell application that can be installed on command-line interpreters and runnable scripts.

$A Igor Jan01;

Type Constraints

  InterpreterType | : | CommandLineApplicationInterpreter |
  InterpreterType | : | new() |

## Member Function Documentation

template<InterpreterType >

IG::Lib::ShellApplication< InterpreterType >::ShellApplication | ( |  | ) | `[inline]`

template<InterpreterType >

void IG::Lib::ShellApplication< InterpreterType >::Main | ( | string[] | args | ) | `[inline]`

Entry point of the application.

Parameters:

  args | Application arguments.

template<InterpreterType >

override CommandLineApplicationInterpreter IG::Lib::ShellApplication< InterpreterType >::CreateInterpreter | ( |  | ) | `[inline, protected, virtual]`

Creates and returns application's command-line interpreter.

Implements IG::Lib::ApplicationCommandlineBase.

template<InterpreterType >

override void IG::Lib::ShellApplication< InterpreterType >::AddDefaultAssemblies | ( |  | ) | `[inline, virtual]`

Adds assemblies to be automatically referenced by loaded scripts.

Reimplemented from IG::Lib::ApplicationCommandlineBase.

template<InterpreterType >

override void IG::Lib::ShellApplication< InterpreterType >::AplicationMain | ( | string[] | args | ) | `[inline, virtual]`

Default main method for the current shell application.

Parameters:

  args | Command-line argumets passed when the application is run.

$A Igor xx Nov09 Dec11;

Reimplemented from IG::Lib::ApplicationCommandlineBase.

template<InterpreterType >

override void IG::Lib::ShellApplication< InterpreterType >::TestMain | ( | string[] | args | ) | `[inline, virtual]`

Runs the shell interpreter.

Standard scheme for IGLib-based test applications.

$A Igor Dec12;

Implements IG::Lib::ApplicationCommandlineBase.

The documentation for this class was generated from the following file:

- ApplicationCommandLineBase.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events